# Visual3d_HSetOfClipPlane.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_Visual3d_HSetOfClipPlane.hxx>`
`#include <Visual3d_SetOfClipPlane.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Handle_Visual3d_ClipPlane.hxx>`
`#include <Standard_Integer.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <TCollection_HSet.lxx>`

## Defines

#define | Item Handle_Visual3d_ClipPlane
#define | Item_hxx <Visual3d_ClipPlane.hxx>
#define | TheSet Visual3d_SetOfClipPlane
#define | TheSet_hxx <Visual3d_SetOfClipPlane.hxx>
#define | TCollection_HSet Visual3d_HSetOfClipPlane
#define | TCollection_HSet_hxx <Visual3d_HSetOfClipPlane.hxx>
#define | Handle_TCollection_HSet Handle_Visual3d_HSetOfClipPlane
#define | TCollection_HSet_Type_() Visual3d_HSetOfClipPlane_Type_()

## Functions

Handle_Visual3d_HSetOfClipPlane | ShallowCopy (const Handle_Visual3d_HSetOfClipPlane &me)

## Define Documentation

#define Handle_TCollection_HSet Handle_Visual3d_HSetOfClipPlane

#define Item Handle_Visual3d_ClipPlane

#define Item_hxx <Visual3d_ClipPlane.hxx>

#define TCollection_HSet Visual3d_HSetOfClipPlane

#define TCollection_HSet_hxx <Visual3d_HSetOfClipPlane.hxx>

#define TCollection_HSet_Type_ | (

)

Visual3d_HSetOfClipPlane_Type_()

#define TheSet Visual3d_SetOfClipPlane

#define TheSet_hxx <Visual3d_SetOfClipPlane.hxx>

## Function Documentation

Handle_Visual3d_HSetOfClipPlane ShallowCopy | ( | const Handle_Visual3d_HSetOfClipPlane & | me | ) | `[inline]`